Package org.eclipse.birt.report.model.api.command

# Class ThemeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.birt.core.exception.BirtException
org.eclipse.birt.report.model.api.ModelException
org.eclipse.birt.report.model.api.activity.SemanticException
org.eclipse.birt.report.model.api.command.ThemeException

All Implemented Interfaces:
  `Serializable`

public class ThemeException extends SemanticException
Indicates an error while setting the style of an element.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DESIGN_EXCEPTION_NOT_FOUND`
Error code indicating no style is found with the given name.
`static final String`
`DESIGN_EXCEPTION_WRONG_TYPE`
Error code indicating the report item refers a wrong type of report item theme.
`protected String`
`themeName`
The theme name being set.

### Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`DESIGN_EXCEPTION__EXPORT_ELEMENT_FAIL, element`

### Fields inherited from class org.eclipse.birt.report.model.api.ModelException

`PLUGIN_ID`

### Fields inherited from class org.eclipse.birt.core.exception.BirtException

`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`ThemeException(org.eclipse.birt.report.model.core.DesignElement obj, String str, String errCode)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLocalizedMessage()`
`Object`
`getTheme()`
Returns the name of the style being set.

### Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`getElement, getElementName, getMessage`

### Methods inherited from class org.eclipse.birt.core.exception.BirtException

`getErrorCode, getLocalizedMessage, getPluginId, getSeverity, setSeverity`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### themeName

protected String themeName
The theme name being set.

### DESIGN_EXCEPTION_NOT_FOUND

public static final String DESIGN_EXCEPTION_NOT_FOUND
Error code indicating no style is found with the given name.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_WRONG_TYPE

public static final String DESIGN_EXCEPTION_WRONG_TYPE
Error code indicating the report item refers a wrong type of report item theme.

See Also:
  - Constant Field Values

## Constructor Details

### ThemeException

public ThemeException(org.eclipse.birt.report.model.core.DesignElement obj, String str, String errCode)
Constructor.

Parameters:
  `obj` - the element being changed.
  `str` - the name of the style.
  `errCode` - the error code.

## Method Details

### getTheme

public Object getTheme()
Returns the name of the style being set.

Returns:
  the style name.

### getLocalizedMessage

public String getLocalizedMessage()

Overrides:
  `getLocalizedMessage` in class `SemanticException`